=== debian/changelog ===
speech-tools (1:2.1~release-6) unstable; urgency=low

  [ Peter Drysdale ]
  * gcc 4.8 compliance a by-product of EsounD removal. (Closes: #701362)
  * Add patch to enable compiling of with clang 3.0.
  * Stop clobbering compiler/ld flags in festival build, it is not polite.
  * Remove support for EsounD which has been deprecated by Gnome
  * Fix Lintian flagged spelling error.
  * Add missing dependency on libaudiofile-dev. Thanks
    to Alessio Treglia.  (Closes: #657603)

  [ Sergio Oller ]
  * Add patch to enable native PulseAudio support. Original implementation by
    Matthias Clasen.
  * Add patch to enable native ALSA support. (Closes: #638394)
  * Original work on release-5 bug fast-tracked to wheezy.

 -- Peter Drysdale <drysdalepete@gmail.com>  Mon, 04 May 2013 09:40:22 +1000

speech-tools (1:2.1~release-5) unstable; urgency=low

  * Add Conflicts libestools2.0-dev, libestools1.2-dev
    to ensure smooth upgrades (closes: #694059)

 -- Peter Drysdale <drysdalepete@gmail.com>  Mon, 14 Jan 2013 20:22:52 +1000

speech-tools (1:2.1~release-4) unstable; urgency=low

  [ Samuel Thibault ]
  * control:
    - Bump Standards-Version to 3.9.3 (no changes).
    - Set libestools2.1 multi-arch: same.
  * rules: Install libraries to multi-arch path.

  [ Peter Drysdale ]
  * Add Pre-Depend on multiarch-support as flagged by lintian
  * Add qualification to unqualified method calls in templates
    allowing compiling with gcc>=4.7.
  * Remove old compiler switch fno-shared-data which is not present
    after gcc>=4.0.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 26 Mar 2012 00:05:28 +0200

speech-tools (1:2.1~release-3) unstable; urgency=low

  [ Samuel Thibault ]
  * control: Depend on hardening-check.
  * rules: Set DEB_BUILD_HARDENING=1 to enable hardening.
  * patches/fmt.diff: Fix format security issue.

  [ Peter Drysdale ]
  * compat: bump to debhelper 8
  * Move to dh style minimum format for rules.
  * Move to source format 3.0 quilt.
  * Refresh contexts, clean up some patches, and del. obs. uncompiled patches
  * Provide individual patch headers and remove misleading
    uniform headers about patching for GCC (Closes: #616341)
  * Clean build system and drop obsolete compiler patches.

 -- Peter Drysdale <drysdalepete@gmail.com>  Tue, 13 Dec 2011 17:22:52 +1000

speech-tools (1:2.1~release-2.1) unstable; urgency=low

  * New maintainer (closes: #637820)

 -- Jean-Philippe MENGUAL <texou@accelibreinfo.eu>  Tue, 16 Aug 2011 02:19:25 +0200

speech-tools (1:2.1~release-2) unstable; urgency=low

  * Make libestools2.1-dev provide libestools2.0-dev, so that binNMUs can
    be facilitated.
  * Add missing copyright entries.

 -- Kumar Appaiah <akumar@debian.org>  Thu, 24 Feb 2011 09:57:35 -0600

speech-tools (1:2.1~release-1) unstable; urgency=low

  * New upstream release
  * Bump soname; shlibs etc. updated
  * Update patches and rules file to handle symlinks with just x.y
    versioning as opposed to x.y.z by appropriately ignoring the absence
    of the minor version number. Also fix major version detection in
    debian/get_version.sh.
  * Update watch file to handle "release" in version number

 -- Kumar Appaiah <akumar@debian.org>  Wed, 16 Feb 2011 20:53:04 -0600

speech-tools (1:2.0.95~beta-2) unstable; urgency=low

  * Update speech_class_EST_WaveFile.cc.diff to fix audsp related
    crashes. (Closes: #601294)
  * Update Standards Version to 3.9.1 (no changes needed)

 -- Kumar Appaiah <akumar@debian.org>  Sun, 24 Oct 2010 19:02:37 -0500

speech-tools (1:2.0.95~beta-1) unstable; urgency=low

  [ Kartik Mistry ]
  * debian/control:
    + [Lintian] Added missing ${misc:Depends}
    + Updated Standards-Version to 3.8.4 (no changes needed)
  * debian/patches/const_char.diff:
    + Added missing patch header
  * Removed unused patch invalid_const_char_conversion_fixes.diff

  [ Kumar Appaiah ]
  * New upstream release.
  * Standards Version is now 3.9.0 (No changes needed)
  * Update debian/rules to specify version numbers.

 -- Kumar Appaiah <akumar@debian.org>  Sat, 17 Jul 2010 11:32:04 -0500

speech-tools (1:1.2.96~beta-6) unstable; urgency=low

  [ Kartik Mistry ]
  * debian/patches/invalid_const_char_conversion_fixes.diff:
    + Added patch to fix invalid_const_char_conversion_fixes.diff, Thanks to
      Ilya Barygin <barygin@gmail.com> (Closes: #548521)
  * debian/control:
    + Don't Recommends speech-tools, use Suggests instead to not pull unwanted
    speech-tools-doc package while installing -dev package

  [ Kumar Appaiah ]
  * Fix build system to avoid unresolved symbols, so that the build is
    possible with binutils-gold. Thanks to Peter Fritzsche for his help
    with this. (Closes: #558964)

 -- Kumar Appaiah <akumar@debian.org>  Sat, 05 Dec 2009 08:59:30 -0600

speech-tools (1:1.2.96~beta-5) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 3.8.3
    + [Lintian] Removed duplicate section for speech-tools binary
    + [Lintian] Updated package descriptions
    + Wrapped up Depends and Build-Depends
  * Added debian/README.source file
  * debian/*.1:
    + [Lintian] Fixed manpage warnings of undefined .P
  * debian/patches/include_EST_ChannelType.diff:
    + Added missing patch description

 -- Kartik Mistry <kartik@debian.org>  Fri, 18 Sep 2009 10:40:22 +0530

speech-tools (1:1.2.96~beta-4) unstable; urgency=low

  * debian/rules:
    + Move pm Perl script to simple-pitchmark to avoid
      using /usr/bin/pm as the executable name. (Closes: #520445)
  * debian/README.Debian: Explain pm renaming.
  * debian/manpage.1: Provide correct location of documentation.

 -- Kumar Appaiah <akumar@debian.org>  Sat, 28 Mar 2009 09:58:45 -0500

speech-tools (1:1.2.96~beta-3) unstable; urgency=low

  * Add common description for all patches.
  * debian/patches/include_EST_ChannelType.diff:
    + Added to introduce parentheses around macro
      EST_CoefChannelId to avoid compiler warnings.
  * debian/patches/utils_EST_cutils.c.diff:

