=== debian/control ===
Source: speech-tools
Section: sound
Priority: optional
Maintainer: Jean-Philippe MENGUAL <texou@accelibreinfo.eu>
Uploaders: Kumar Appaiah <akumar@debian.org>, Peter Drysdale <drysdalepete@gmail.com>
Build-Depends: debhelper (>= 8),
               autotools-dev,
               gawk | awk,
               libaudiofile-dev,
               libncurses5-dev,
               quilt (>= 0.40),
               libpulse-dev,
               libasound2-dev [linux-any],
               hardening-wrapper
Standards-Version: 3.9.3
Homepage: http://festvox.org/packed/festival/
Vcs-Git: git://git.debian.org/git/tts/speech-tools.git
Vcs-Browser: http://git.debian.org/?p=tts/speech-tools.git

Package: libestools2.1
Architecture: any
Multi-arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: multiarch-support
Conflicts: speech-tools1,
           libestools1.2c102
Replaces: speech-tools1,
          libestools1.2c102,
Description: Edinburgh Speech Tools Library
 The Edinburgh Speech Tools Library is a collection of C++ class, functions and
 related programs for manipulating the sorts of objects used in speech
 processing.

Package: libestools2.1-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libc6-dev,
         libestools2.1 (= ${binary:Version}),
         libasound2-dev [linux-any],
         libncurses5-dev
Conflicts: speech-tools-dev, libestools2.0-dev, libestools1.2-dev
Replaces: speech-tools-dev, libestools2.0-dev, libestools1.2-dev
Provides: libestools-dev, libestools2.0-dev
Suggests: speech-tools-doc
Description: Edinburgh Speech Tools Library - developer's libraries
 The Edinburgh Speech Tools Library is a collection of C++ class, functions and
 related programs for manipulating the sorts of objects used in speech
 processing.
 .
 This package contains the header files and static libraries.

Package: speech-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: speech-tools-bin
Replaces: speech-tools-bin
Suggests: speech-tools-doc
Description: Edinburgh Speech Tools - user binaries
 This package contains the various highly useful utility programs that use and
 accompany the Edinburgh Speech Tools Library. Audio software and some basic
 signal processing software is included in this package.
 .
 The following programs are available:
 na_play: generic playback program for use with net_audio and CSTR ao.
 ch_wave: Waveform file conversion program.
 ch_lab: label file conversion program.
 ch_track: Track file conversion program.
 wagon: a CART tree build and test program
 .
 See /usr/share/doc/speech-tools/README for detail list of programs available.
