=== debian/watch ===
version=3
opts="uversionmangle=s/-beta/~beta/;s/-release/~release/" \
http://festvox.org/packed/festival/latest/ speech_tools-(.*).tar.gz
